Bug 115080 - Replace with Pattern Field misbehaves when editing a form's table control
Summary: Replace with Pattern Field misbehaves when editing a form's table control
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.0.1 target:5.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-01-18 05:26 UTC by Howard Johnson
Modified: 2018-02-02 21:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
A simple demonstration database, but probably any database form will do. (10.90 KB, application/vnd.sun.xml.base)
2018-01-18 05:26 UTC, Howard Johnson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Howard Johnson 2018-01-18 05:26:36 UTC
Created attachment 139170 [details]
A simple demonstration database, but probably any database form will do.

To demonstrate:

1) Open the attached database.  
2) Edit the form.  
3) Right click on the field named Txt.  
4) Select Replace with... Pattern Field.

Actual result:  You are asked for the field's Column Width.

Expected result:  The field's type should be changed to a Pattern Field.

(Tip: Right click on the Txt field again and select Column...  Note, the title of the box that opens is still Properties: Text Box.)

Fails in LO 5.4.3.2 and 6.0.0.0

Debian 9.3 x86-64 (stretch), Cinnamon 3.2.7

-------------------------

Workaround:

You can insert a Pattern Field and then point it to your data.  To do this right click to the right of the Txt field in the darker gray area and select Insert Column > Pattern Field.  Then under Properites: Pattern Field, Data field... use the pull down to select Txt.  (Also rename this and delete the other Txt field in the table.)
Comment 1 robert 2018-01-18 15:31:13 UTC
Have tested this one. Pattern field couldn't be created by replacing an existing field to a pattern field. Wrong dialog for column width appears.

Fails with LO 5.4.4.2, works right with LO 5.3.7.2 on OpenSUSE 42.2 64bit rpm Linux. I set the earliest version to LO 5.4.3.2 following bug-description.
Comment 2 Xisco Faulí 2018-01-23 10:23:53 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-04-14 17:02:48 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2017-04-15 20:08:40 +0200
commit	a36997c15b310b50f77446ea6c10ccc939a9cc27 (patch)
tree	06859915b0256e314a1f24c1686e2f97fc57868b
parent	15ac3f9f4dc65fc0c6020284064e3725956f5d0a (diff)
convert column menu to .ui

Bisected with: bibisect-linux-64-5.4

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2018-01-23 20:47:53 UTC
menu id collision
Comment 4 Commit Notification 2018-01-24 09:21:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=897dd277d2ae418833835a2dbcb8cbdbc1676d49

tdf#115080 menu id collision

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-01-25 08:58:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f4e31a3464961211aafcfdf9c7548eb0cf1516b&h=libreoffice-6-0

tdf#115080 menu id collision

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-01-25 18:41:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b4ad9183d7fc0da40dc1fdd523bdc613612024c&h=libreoffice-5-4

tdf#115080 menu id collision

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Howard Johnson 2018-02-02 21:15:31 UTC
Confirmed dead bug in 5.4.6.0 and 6.0.1.0.  

Caolán, Xisco and Robert, Thank you.  Awesome!